package de.ivu.elect.presentation.wahl.menu;

import javax.annotation.Nullable;
import javax.inject.Named;

import de.ivu.elect.business.wahl.entity.NlWahlPhase;

@Named(NlWasInitialWahlphaseSchrittMenuItem.COMPONENT_NAME)
public class NlWasInitialWahlphaseSchrittMenuItem extends AbstractNlWasWahlphaseSchrittMenuItem {
  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "nlWasInitialWahlphaseSchrittMenuItem";

  @Override
  public String getLabelKey() {
    return "nl.wahlphase.schritt.initial";
  }

  @Override
  protected NlWahlPhase getZielWahlPhase() {
    return NlWahlPhase.INITIAL;
  }

  @Override
  protected boolean isPhaseDarfAktivWerdenInternal() {
    return true;
  }

  @Nullable
  @Override
  public String getDialogName() {
    if (isBefore()) {
      return "initial-zurueck";
    }
    return super.getDialogName();
  }
}
